Bug 165734 - Language Support addition incorrectly remembered by s-c-p
Language Support addition incorrectly remembered by s-c-p
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2005-08-11 13:31 EDT by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-13 23:06:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2005-08-11 13:31:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8b4) Gecko/20050811 Firefox/1.0+

Description of problem:
When installing support for additional languages through system-config-packages, the first time I selected 'Language Support' no language is selected by default. 

If afterwards one re-run s-c-p the 'Language Support' category is curiously unchecked. Checking it reveals that the languages it selects by default (which I'd expect to be the same as the list I entered originally) are different:

Arabic, Hebrew, French, Malay, British, Korean, Japanese, Chinese, Indonesian, Russian, Greek

Actually selected:
Arabic, Bengali, Hebrew, Tamil, Punjabi, Gujarati, Korean, Japanese, Chinese, Hindi

Someone has a penchant for South Asian languages over at Red Hat? :)

The list of fonts installed seems correct - KOI8 fonts are installed, South Asian ones are not.

The list of languages should probably be sorted by alphabetical order, and the languages added through s-c-p added to /etc/sysconfig/i18n automatically.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC4 (Anaconda dose not ask for language selection anymore by default?)
2. Run system-config-packages, add some languages
3. Re-run s-c-p

Actual Results:  Incorrect list of languages as described above

Expected Results:  Language Support should be checked by default, the languages I selected should be selected, and preferably system-config-language knows of the languages I just added.

Additional info:
Comment 1 Jón Fairbairn 2005-08-29 16:01:20 EDT
s-c-p offers "British Support" under language support=>details, but selecting
it, it says "size 0 bytes" and while the [selected/available] count changes from
[0/15] to [1/15] the button "update" remains greyed out.
Comment 2 Michel Alexandre Salim 2006-02-13 23:06:28 EST
Superceded by pirut

Note You need to log in before you can comment on or make changes to this bug.